//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "SightPt.hpp"
#include <vcl\ComCtrls.hpp>
#include "sampreg.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TSightPoint *SightPointRed;
	TSightPoint *SightPointBlack;
	TMemo *Memo1;
	TSpinEdit *SpinEditRedX;
	TSpinEdit *SpinEditRedY;
	TSpinEdit *SpinEditRedStep;
	TLabel *Label1;
	TLabel *Label2;
	TLabel *Label3;
	TSpinEdit *SpinEditBlackX;
	TLabel *Label4;
	TSpinEdit *SpinEditBlackY;
	TLabel *Label5;
	TSpinEdit *SpinEditBlackStep;
	TLabel *Label6;
	TEdit *EditDist;
	TLabel *Label7;
	void __fastcall SpinEditRedXChange(TObject *Sender);
	void __fastcall SpinEditRedYChange(TObject *Sender);
	void __fastcall SpinEditRedStepChange(TObject *Sender);
	void __fastcall SpinEditBlackXChange(TObject *Sender);
	void __fastcall SpinEditBlackYChange(TObject *Sender);
	void __fastcall SpinEditBlackStepChange(TObject *Sender);
	void __fastcall SightPointRedChange(TObject *Sender, int &NewX, int &NewY);
	void __fastcall SightPointRedMouseDown(TObject *Sender, TMouseButton Button,
	TShiftState Shift, int X, int Y);
	void __fastcall SightPointRedMouseMove(TObject *Sender, TShiftState Shift,
	int X, int Y);
	void __fastcall SightPointBlackChange(TObject *Sender, int &NewX, int &NewY);
	void __fastcall SightPointBlackMouseDown(TObject *Sender, TMouseButton Button,
	TShiftState Shift, int X, int Y);
	void __fastcall SightPointBlackMouseMove(TObject *Sender, TShiftState Shift,
	int X, int Y);
	
private:	// User declarations
   int SavX1;
   int SavY1;
   int SavX2;
   int SavY2;
   //char * __fastcall StrDistance();
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 